Skip to main content
GET
/
v5
/
agent-evaluations
/
{evaluation_id}
Get agent evaluation
curl --request GET \
  --url https://api.egp.scale.com/v5/agent-evaluations/{evaluation_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.egp.scale.com/v5/agent-evaluations/{evaluation_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.egp.scale.com/v5/agent-evaluations/{evaluation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "run_id": "<string>",
  "name": "<string>",
  "progress": {
    "workflows": [
      {
        "name": "<string>",
        "status": "pending"
      }
    ],
    "total_items": 0,
    "completed_items": 0
  },
  "tasks": [
    {
      "alias": "<string>",
      "type": "<string>",
      "config": {},
      "depends_on": [
        "<string>"
      ]
    }
  ],
  "account_id": "<string>",
  "tenant_id": "<string>",
  "data_plane_dataset_id": "<string>",
  "projection_policy_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "metadata": {},
  "tags": [
    "<string>"
  ],
  "data_plane_version": "<string>",
  "projection_freshness_seconds": 123,
  "error_count": 0
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

evaluation_id
string
required

Response

Successful Response

id
string
required
run_id
string
required
name
string
required
status
enum<string>
required
Available options:
pending,
running,
completed,
failed
progress
AgentEvaluationProgress · object
required
tasks
AgentEvaluationTask · object[]
required
account_id
string
required
tenant_id
string
required
data_plane_dataset_id
string
required
projection_policy_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string
metadata
Metadata · object
tags
string[]
data_plane_version
string
projection_freshness_seconds
integer
error_count
integer
default:0
Required range: x >= 0